LOCKFS-NOTIFY(1)

NAME
lockfs-notify - notify user about temporary or permanent changes on fs

SYNOPSIS
lockfs-notify [-a|--always|-l|--lockfs|-n|--nolockfs] [-t TIME|--expire-time=TIME]
lockfs-notify -h|--help

DESCRIPTION
lockfs-notify is a wrapper around notify-send(1). It is used to send a notification to users at the beginning of a session, to say if temporary or permanent changes are allowed on which filesystems (or more precisely on which mountpoints).

OPTIONS
If several of the -a, -l or -n options are invoked (or their long forms, respectively --always, --lockfs or --nolockfs), the last overrides the previous ones. The invocation of these options also overrides the variable 'BILIBOP_LOCKFS_NOTIFY_POLICY' that can be set in bilibop.conf(5).

-a, --always
    Always send a notification: about filesystems on which permanent changes are allowed, and about filesystems on which temporary changes are allowed. So, if the bilibop-lockfs feature is enabled, and one or more mountpoints have been whitelisted in /etc/bilibop/bilibop.conf, then two notifications are send to the user.

-h, --help
    Print a short help message on stdout and exit.

-l, --lockfs
    Send a notification only about filesystems for which the 'lockfs' feature has been enabled, i.e. about mountpoints for which only temporary changes are allowed. All these changes will be lost at next shutdown of the computer.

-n, --nolockfs
    Send a notification only about filesystems for which the 'lockfs' feature has been disabled, i.e. about mountpoints for which permanent changes are allowed. All these changes will be kept after the shutdown of the computer.

-t TIME, --expire-time=TIME
    Specifies the timeout in milliseconds at which to expire the notification. Values of TIME less than '1000' (1 second) make the timeout is disabled and the notification never expires. If TIME is not an integer, this option is silently ignored.

FILES
/etc/xdg/autostart/lockfs-notify.desktop

SEE ALSO
bilibop(7), bilibop.conf(5), notify-send(1)

AUTHOR
This manual page has been written by Bilibop Project <quidame@poivron.org>.